npm Warning deep imports

Warning: Entry point XXX contains deep imports into YYY. This is probably not a problem, but may cause the compilation of entry points to be out of order.

https://github.com/angular/angular/issues/35615#issuecomment-592253747

Steps to silence the warning:

  1. Update to Angular 9.0.4
  2. Create a file named ‘ngcc.config.js’ at your top-level project folder
module.exports = {
packages: {
'angular2-text-mask': {
ignorableDeepImportMatchers: [
/text-mask-core\//,
]
},
},
};
  1. Enjoy a peaceful build